﻿using ERP.Core.Dto;
using ERP.Core.Entity;
using ERP.Framework.WebApi;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Internal;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ERP.Core.Repository
{
    public class SysMenuRepository : BaseRepository<SysMenu, CoreDbContext>
    {
        public SysMenuRepository(CoreDbContext context) : base(context)
        {
        }

        public List<string> SelectPermissionsByRoleIds(List<long> roleIds)
        {
            var q = from rm in Context.Set<SysRoleMenu>()
                    join m in Context.Set<SysMenu>() on rm.MenuId equals m.Id
                    where roleIds.Contains(rm.RoleId)
                    select m.Permission;

            return q.ToList();
        }
    }
}
